Bug 785218 - JON 3.0.1 RC#1 CLI's -v commandline option displays redundant information
JON 3.0.1 RC#1 CLI's -v commandline option displays redundant information
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
3.0.1,4.2
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.0.1
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-27 11:45 EST by Mike Foley
Modified: 2015-02-01 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-01-27 11:45:49 EST
Description of problem:  JON 3.0.1 RC#1  CLI's -v commandline option displays redundant information


Version-Release number of selected component (if applicable):  JON 3.01 RC#1


How reproducible:  100%


Steps to Reproduce:
1. ./rhq-cli.sh -u mfoley -p password  -v
2. compare to
3.  ./rhq-cli.sh -u mfoley -p password 

  
Actual results:  the version information displayed with the -v option is redundant of what is displayed without the -v option


Expected results:  something different, some value-add, not redundant information


Additional info:

[mfoley@foleymonsterbox1 bin]$ ./rhq-cli.sh -u mfoley -p password  -v
RHQ - RHQ Enterprise Remote CLI 4.2.0.JON.3.0.1.GA (5cde182) 01/24/12 12:02 AM GMT
RHQ - RHQ Enterprise Remote CLI 4.2.0.JON.3.0.1.GA  <<<<<<<---REDUNDANT
Remote server version is: 3.0.1.GA (784c8ce:5cde182)
Login successful
mfoley@localhost:7080$ quit

[mfoley@foleymonsterbox1 bin]$ ./rhq-cli.sh -u mfoley -p password  
RHQ - RHQ Enterprise Remote CLI 4.2.0.JON.3.0.1.GA
Remote server version is: 3.0.1.GA (784c8ce:5cde182)
Login successful
mfoley@localhost:7080$
Comment 1 Mike Foley 2012-01-30 11:26:14 EST
12/30/2012 BZ triage meeting mfoley, ccrouch, loleary, asantos
Comment 2 Ian Springer 2012-01-31 16:45:32 EST
Fixed in master: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=3c0e954
Comment 4 Simeon Pinder 2012-02-02 22:26:05 EST
Moving to ON_QA as there is a new binary 3.0.1.GA RC2 available here to test with:
https://brewweb.devel.redhat.com//buildinfo?buildID=197202
Comment 5 Sunil Kondkar 2012-02-03 06:57:06 EST
Verified on 3.0.1.GA RC2 build (Build Number: b2cb23b:859b914)

The -v command line option does not display redundant information:

[root@suniltest bin]# ./rhq-cli.sh -u sunil -p password -v
RHQ Enterprise Remote CLI 4.2.0.JON.3.0.1.GA (859b914) 02/01/12 09:50 PM GMT
Remote server version is: 3.0.1.GA (b2cb23b:859b914)
Login successful
sunil@localhost:7080$
Comment 7 Heiko W. Rupp 2013-09-03 11:14:48 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.